6.0.0-git
2019-10-22

[#11523] Add universal link() method to Horde_Feed
Summary Add universal link() method to Horde_Feed
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester sebastian.radish (at) gmx (dot) de
Created 2012-10-15 (2563 days ago)
Due
Updated 2013-01-07 (2479 days ago)
Assigned 2012-10-25 (2553 days ago)
Resolved
Milestone
Patch No

History
2013-01-07 06:34:13 mazet (at) softndesign (dot) org Comment #6 Reply to this comment
Hi

please find a short/uggly workaround. It avoid that link refers to 
horde site but instead force all link to  atom/rss site.

--- horde4/lib/Block/Feed.php.old       2013-01-07 07:28:11.000000000 +0100
+++ horde4/lib/Block/Feed.php   2013-01-07 07:29:03.000000000 +0100
@@ -69,7 +69,7 @@
                  if (++$count > $this->_params['limit']) {
                      break;
                  }
-               $html .= '<a href="' . $entry->link . '"';
+               $html .= '<a href="' . (strlen($entry->link) ? 
$entry->link : $this->_params['uri']) . '"';
                  if (empty($this->_params['details'])) {
                      $html .= ' title="' . 
htmlspecialchars(strip_tags($entry->description())) . '"';
                  }
2012-11-26 11:28:35 Jan Schneider Summary ⇒ Add universal link() method to Horde_Feed
 
2012-11-26 11:27:49 Jan Schneider Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
 
2012-11-26 11:27:24 Jan Schneider Version ⇒ Git master
Queue ⇒ Horde Framework Packages
 
2012-11-26 11:26:46 Jan Schneider Comment #5 Reply to this comment
Yes, and we need to deal with this in Horde_Feed that has to provide a 
versatile link() method for feed entries that transparently handles 
protocol differences. There already is some link() implementation in 
Horde_Feed_Atom, but it doesn't work because it's implemented as if it 
was running on a entry, while the class handles a feed instead.
2012-10-26 07:36:40 sebastian (dot) radish (at) gmx (dot) de Comment #4 Reply to this comment
So it's still a problem in Horde 4?
2012-10-25 16:42:59 Ralf Lang (B1 Systems GmbH) Comment #3 Reply to this comment
Can you provide an example feed?
http://core.dol2day.com/dolcore/feed/category/a

I can provide access to a demo installation which includes this atom 
feed in a horde portal block. Clicking the link leads nowhere.
2012-10-25 16:30:47 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Can you provide an example feed?
2012-10-15 18:36:51 sebastian (dot) radish (at) gmx (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Atom Feeds on Dashboard have emtpy links
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
I'm not sure if this is still a problem in Horde 4. Unfortunatly I 
have only a Horde 3 installation to test:

If you a _atom_ feed block to your dashboard, the links are all empty 
(href="").
The problem is, that atom links are stored like
<link href="http://some/where"/>
whereas in RSS feeds they are stored like
<link>http://some/where</link>

Can anybody confirm this problem on Horde 4? I already had a look at 
the Horde 4 sources and it doesn't seem to be fixed.

Saved Queries